.login {
    min-height: 100vh; width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.login-form {
    background-color: #999;
    width: inherit;
    border-radius: 8px;
    padding: 3em 1em;
    max-width: 600px;
    text-align: center;
}

.login-form img {
    height: 6rem;
    text-align: center;
}

.login-form h1 {
    font-size: clamp(1.2rem, 5vw, 1.8rem);
    font-weight: 500;
    text-align: center;
    color: var(--white);
    margin-top: 0.5em;
}

.login-form form {
    margin-top: 2em;
    width: 100%;
}

.login-form form fieldset:not(:last-child) {
    margin-bottom: 1.2em;
}

.login-form form fieldset {
    height: 2.4rem;
    display: flex;
    align-items: center;
    background-color: #fff;
    border-radius: 5px;
    padding-right: 0.5em;
}

.login-form form fieldset,
.login-form form fieldset input {
    border: 0;
    width: 100%;
}

.login-form form fieldset input,
.login-form form button {
    border-radius: 5px;
}

.login-form form fieldset input {
    height: 100%;
    outline: none;
    background-color: transparent;
    padding: 0.5em;
    font-size: 0.9rem;
}

.login-form form fieldset img {
    height: 1rem;
}

.login-form form button {
    background-color: #e51e22;
    border: 1px solid #e51e22;
    width: 100%;
    font-size: 1rem;
    color: #fff;
    height: 3rem;
}